Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 605849 - Review Request: python-yapps - Yapps is an easy to use parser generator that generates Python code
Summary: Review Request: python-yapps - Yapps is an easy to use parser generator that ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-06-18 23:03 UTC by Nathaniel McCallum
Modified: 2012-06-29 22:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 22:26:49 UTC


Attachments (Terms of Use)

Description Nathaniel McCallum 2010-06-18 23:03:46 UTC
Spec URL: http://nathaniel.themccallums.org/rpms/python-yapps.spec
SRPM URL: http://nathaniel.themccallums.org/rpms/python-yapps-2.1.1_17.1-1.fc13.src.rpm
Description:
Yapps (Yet Another Python Parser System) is an easy
to use parser generator that is written in Python
and generates Python code. Yapps is simple, is easy
to use, and produces human-readable parsers. It is
not the fastest, most powerful, or most flexible
parser. Yapps is designed to be used when regular
expressions are not enough and other parser systems
are too much: situations where you may write your
own recursive descent parser.

Comment 1 Jason Tibbitts 2010-11-23 18:57:27 UTC
Now that we have multiple python stacks in Fedora, this package needs needs some adjustment.  (Actually we've had these python guidelines since February.)  At the very least you need to have a build depenency on python2-devel instead of python-devel, but you should also investigate python3 compatibility and if desired provide the python3 subpackages.


Note You need to log in before you can comment on or make changes to this bug.